Populate Procedure Definitions
Use this request to initiate the Populate Procedure Definitions user action. This action creates Procedure Definitions for a target study from a source study or an existing Procedure Template.
Learn more about Procedure Definitions in Vault Help
POST
/api/{version}/app/clinical/ctms/populate-procedure-definitionsHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json |
Accept | application/json |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
source_holder_object_namerequired | The name of the object to create Procedure Definitions from. Possible values are study__v or procedure_template__v. |
source_holder_object_idsrequired | An array of study or Procedure Template IDs to copy Procedure Definitions from. |
destination_holder_object_namerequired | The name of the object to create Procedure Definitions for. This must always be study__v. |
destination_holder_object_idrequired | The ID of the study to populate with Procedure Definitions. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
- d '[
{
"source_holder_object_name" : "study__v",
"source_holder_object_ids" : ["0ST000000001001"],
"destination_holder_object_name" : "study__v",
"destination_holder_object_id" : "0ST000000003001"
}
]'
https://myvault.veevavault.com/api/v26.1/app/clinical/ctms/populate-procedure-definitionsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "Success",
"data": {
"status": "SUCCESS",
"source": "study__v",
"numProcedureDefsCreated": 2,
"numProcedureDefsDuplicates": 0,
"numErrors": 0
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response returns the number of Procedure Definitions created, the number of duplicate Procedure Definitions that exist for the indicated study, and the number of errors encountered.